KMC_TOOLS-SORT(1)

NAME
kmc_tools-sort - sort KMC databases

SYNOPSIS

kmc_tools sort <inputdb> [input_params] <output> [output_params]

DESCRIPTION

Converts database produced by KMC2.x to KMC1.x database format (which contains k-mers in sorted order)

OPTIONS

For each input there are additional parameters:

-ci<value>
    exclude k-mers occurring less than <value> times

-cx<value>
    exclude k-mers occurring more of than <value> times

For output there are additional parameters:

-cs<value>
    maximal value of a counter

EXAMPLE

    kmc_tools sort wy_kmc2 -ci3 -cx1000 wy_kmc1 -cs255

AUTHOR

KMC was originally written by:

    • Sebastian Deorowicz (

    • Marek Kokot

    • Szymon Grabowski

    • Agnieszka Debudaj-Grabysz

COPYING

KMC is a free software distributed under GNU GPL3 licence for academic, research, and commercial use.